Package Details: bazarr 1.0.4-1

Git Clone URL: https://aur.archlinux.org/bazarr.git (read-only, click to copy)
Package Base: bazarr
Description: Subtitle download automation for Sonarr and Radarr.
Upstream URL: https://github.com/morpheus65535/bazarr
Licenses: GPL3
Submitter: fryfrog
Maintainer: fryfrog
Last Packager: fryfrog
Votes: 10
Popularity: 0.27
First Submitted: 2018-09-03 05:42 (UTC)
Last Updated: 2022-04-30 21:47 (UTC)

Latest Comments

carbolymer commented on 2021-12-13 17:50 (UTC) (edited on 2021-12-13 17:54 (UTC) by carbolymer)

The package is broken on python 3.10:

systemd[1]: Started Bazarr Service.
bazarr[57764]: Traceback (most recent call last):
bazarr[57764]:   File "/usr/lib/bazarr/bazarr/main.py", line 18, in <module>
bazarr[57764]:     from config import settings, url_sonarr, url_radarr, configure_proxy_func, base_url
bazarr[57764]:   File "/usr/lib/bazarr/bazarr/config.py", line 9, in <module>
bazarr[57764]:     from subliminal.cache import region
bazarr[57764]:   File "/usr/lib/bazarr/bazarr/../libs/subliminal/__init__.py", line 12, in <module>
bazarr[57764]:     from .core import (AsyncProviderPool, ProviderPool, check_video, download_best_subtitles, download_subtitles,
bazarr[57764]:   File "/usr/lib/bazarr/bazarr/../libs/subliminal/core.py", line 29, in <module>
bazarr[57764]:     from babelfish import Language, LanguageReverseError
bazarr[57764]:   File "/usr/lib/bazarr/bazarr/../libs/babelfish/__init__.py", line 20, in <module>
bazarr[57764]:     from .converters import (LanguageConverter, LanguageReverseConverter, LanguageEquivalenceConverter, CountryConverter,
bazarr[57764]:   File "/usr/lib/bazarr/bazarr/../libs/babelfish/converters/__init__.py", line 6, in <module>
bazarr[57764]:     from pkg_resources import iter_entry_points, EntryPoint
bazarr[57764]:   File "/usr/lib/bazarr/bazarr/../libs/pkg_resources/__init__.py", line 82, in <module>
bazarr[57764]:     __import__('pkg_resources.extern.packaging.requirements')
bazarr[57764]:   File "/usr/lib/bazarr/bazarr/../libs/pkg_resources/_vendor/packaging/requirements.py", line 9, in <module>
bazarr[57764]:     from pkg_resources.extern.pyparsing import stringStart, stringEnd, originalTextFor, ParseException
bazarr[57764]:   File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
bazarr[57764]:   File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
bazarr[57764]:   File "<frozen importlib._bootstrap>", line 672, in _load_unlocked
bazarr[57764]:   File "<frozen importlib._bootstrap>", line 632, in _load_backward_compatible
bazarr[57764]:   File "/usr/lib/bazarr/bazarr/../libs/pkg_resources/extern/__init__.py", line 43, in load_module
bazarr[57764]:     __import__(extant)
bazarr[57764]:   File "/usr/lib/bazarr/bazarr/../libs/pkg_resources/_vendor/pyparsing.py", line 943, in <module>
bazarr[57764]:     collections.MutableMapping.register(ParseResults)
bazarr[57764]: AttributeError: module 'collections' has no attribute 'MutableMapping'
bazarr[57750]: Bazarr starting...
bazarr[57750]: Bazarr exited.
systemd[1]: bazarr.service: Deactivated successfully.

The author says that only python <=3.8 is supported: https://old.reddit.com/r/bazarr/comments/qtw6dy/attributeerror_module_collections_has_no/hkmuab9/?context=10000

Upstream release with fix ETA in couple of weeks: https://github.com/morpheus65535/bazarr/issues/1640#issuecomment-992645002

fryfrog commented on 2021-10-19 16:24 (UTC)

I got nothing, hop on Discord and feel free to @mention me. We can work on it together w/ them. Maybe some missing dep? But it just doesn't look like it.

G4Zz0L1 commented on 2021-10-19 16:18 (UTC)

Same story launched by hand in the /usr/lib/bazarr folder with the bazarr user. Anything else I can check?

fryfrog commented on 2021-10-19 15:25 (UTC)

@G4Zz0L1: It works for me on 3.9.7. I double checked the requirements.txt and everything was in there except python-setuptools. I added it to makedepends, but that isn't likely your issue.

Try running it by hand the same way your service does? Their Discord may be helpful too.

G4Zz0L1 commented on 2021-10-19 13:23 (UTC) (edited on 2021-10-19 16:34 (UTC) by G4Zz0L1)

Anyone knows how to make it work with the python core package (version 3.9.7)?

ott 19 09:45:57 systemd[1]: Started Bazarr Service.
ott 19 09:45:58 bazarr[1177]: Traceback (most recent call last):
ott 19 09:45:58 bazarr[1177]:   File "/usr/lib/bazarr/bazarr/main.py", line 28, in <module>
ott 19 09:45:58 bazarr[1177]:     from init import *
ott 19 09:45:58 bazarr[1177]:   File "/usr/lib/bazarr/bazarr/init.py", line 191, in <module>
ott 19 09:45:58 bazarr[1177]:     init_binaries()
ott 19 09:45:58 bazarr[1177]:   File "/usr/lib/bazarr/bazarr/init.py", line 169, in init_binaries
ott 19 09:45:58 bazarr[1177]:     from utils import get_binary
ott 19 09:45:58 bazarr[1177]:   File "/usr/lib/bazarr/bazarr/utils.py", line 22, in <module>
ott 19 09:45:58 bazarr[1177]:     from list_subtitles import store_subtitles, store_subtitles_movie
ott 19 09:45:58 bazarr[1177]:   File "/usr/lib/bazarr/bazarr/list_subtitles.py", line 9, in <module>
ott 19 09:45:58 bazarr[1177]:     from subliminal_patch import core, search_external_subtitles
ott 19 09:45:58 bazarr[1177]:   File "/usr/lib/bazarr/bazarr/../libs/subliminal_patch/__init__.py", line 8, in <module>
ott 19 09:45:58 bazarr[1177]:     from .providers import Provider
ott 19 09:45:58 bazarr[1177]:   File "/usr/lib/bazarr/bazarr/../libs/subliminal_patch/providers/__init__.py", line 30, in <module>
ott 19 09:45:58 bazarr[1177]:     mod = importlib.import_module("subliminal_patch.providers.%s" % module_name.lower())
ott 19 09:45:58 bazarr[1177]:   File "/usr/lib/python3.9/importlib/__init__.py", line 127, in import_module
ott 19 09:45:58 bazarr[1177]:     return _bootstrap._gcd_import(name[level:], package, level)
ott 19 09:45:58 bazarr[1177]:   File "/usr/lib/bazarr/bazarr/../libs/subliminal_patch/providers/legendastv.py", line 8, in <module>
ott 19 09:45:58 bazarr[1177]:     from subliminal.providers.legendastv import LegendasTVSubtitle as _LegendasTVSubtitle, \
ott 19 09:45:58 bazarr[1177]:   File "/usr/lib/bazarr/bazarr/../libs/subliminal/providers/legendastv.py", line 28, in <module>
ott 19 09:45:58 bazarr[1177]:     language_converters.register('legendastv = subliminal.converters.legendastv:LegendasTVConverter')
ott 19 09:45:58 bazarr[1177]:   File "/usr/lib/bazarr/bazarr/../libs/babelfish/converters/__init__.py", line 275, in register
ott 19 09:45:58 bazarr[1177]:     raise ValueError('Already registered')
ott 19 09:45:58 bazarr[1177]: ValueError: Already registered
ott 19 09:45:58 bazarr[1177]: Error in atexit._run_exitfuncs:
ott 19 09:45:58 bazarr[1177]: Traceback (most recent call last):
ott 19 09:45:58 bazarr[1177]:   File "/usr/lib/bazarr/bazarr/../libs/playhouse/sqliteq.py", line 279, in stop
ott 19 09:45:58 bazarr[1177]:     self._writer.join()
ott 19 09:45:58 bazarr[1177]:   File "src/gevent/greenlet.py", line 831, in gevent._gevent_cgreenlet.Greenlet.join
ott 19 09:45:58 bazarr[1177]:   File "src/gevent/greenlet.py", line 857, in gevent._gevent_cgreenlet.Greenlet.join
ott 19 09:45:58 bazarr[1177]:   File "src/gevent/greenlet.py", line 846, in gevent._gevent_cgreenlet.Greenlet.join
ott 19 09:45:58 bazarr[1177]:   File "src/gevent/_greenlet_primitives.py", line 61, in gevent._gevent_c_greenlet_primitives.SwitchOutGreenletWithLoop.switch
ott 19 09:45:58 bazarr[1177]:   File "src/gevent/_greenlet_primitives.py", line 61, in gevent._gevent_c_greenlet_primitives.SwitchOutGreenletWithLoop.switch
ott 19 09:45:58 bazarr[1177]:   File "src/gevent/_greenlet_primitives.py", line 65, in gevent._gevent_c_greenlet_primitives.SwitchOutGreenletWithLoop.switch
ott 19 09:45:58 bazarr[1177]:   File "src/gevent/_gevent_c_greenlet_primitives.pxd", line 35, in gevent._gevent_c_greenlet_primitives._greenlet_switch
ott 19 09:45:58 bazarr[1177]: gevent.exceptions.LoopExit: This operation would block forever
ott 19 09:45:58 bazarr[1177]:         Hub: <Hub '' at 0x7f6c1a7adf40 epoll default pending=0 ref=-1 thread_ident=0x7f6c1c21c740>
ott 19 09:45:58 bazarr[1177]:         Handles:
ott 19 09:45:58 bazarr[1177]: []
ott 19 09:45:59 bazarr[1085]: Python 3.9.x is unsupported. Current version is 3.9.7. Keep in mind that even if it works, you're on your own.
ott 19 09:45:59 bazarr[1085]: Bazarr starting...
ott 19 09:45:59 bazarr[1085]: Bazarr exited.
ott 19 09:45:59 systemd[1]: bazarr.service: Deactivated successfully.

fryfrog commented on 2021-08-21 17:22 (UTC)

When you ran with sudo, you'd have caused a bunch of stuff to be owned by root, so now it wouldn't work as the bazarr user. Fix permissions and then sudo -u bazarr to test running it by hand if the service isn't working. And for more support, hop on their Discord or /r/bazarr sub-reddit. You're not really having a package issue.

HydroDiOxide commented on 2021-08-21 16:02 (UTC)

I'm running this package on archarm. Install went OK after manually deleting the old /usr/lib directory. I'm having issues now when trying to run it as a systemd service. Manually starting it with sudo does work, so there seems to be a permissions issue and I don´t know how to fix it... Help appreciated.

fryfrog commented on 2021-07-23 14:59 (UTC) (edited on 2021-07-23 15:00 (UTC) by fryfrog)

23/07/2021 07:56:24|DEBUG   |root                            |Using UnRAR from: /usr/bin/unrar|

^ My startup logs look like the above and grep -ir "unzip" in my logs folder has no results. Where do you see it using unzip?

Edit: Oh yeah, I switched from the .tar.gz source to their .zip bundle. I'll add it to make depends, thanks!

sdfg commented on 2021-07-23 12:01 (UTC) (edited on 2021-07-23 12:05 (UTC) by sdfg)

PKGBUILD lists unrar as a dependency but doesn't use it (for building, at least). Tries to use unzip which isn't a dependency. :-)

fryfrog commented on 2021-07-20 16:28 (UTC)

Np, thanks for reporting the issue! I almost never look at the UI, so based on log spew I assumed everything was working! :P

Jormungandr89 commented on 2021-07-20 16:21 (UTC)

@fryfrog I upgraded to 0.9.6-4 and it looks like things are working on my end too. The UI loads correctly now. Thank you!

fryfrog commented on 2021-07-20 16:09 (UTC)

There were some pretty big changes to how they do the front end in 0.9.6, so I've switched to using the zip file of assets and the UI is loading for me now. @Jormungandr89, give it a try and see how it does for you?

fryfrog commented on 2021-07-20 15:29 (UTC)

I just added python-gevent-websocket and will see how it goes. I'll jibber jabber w/ the dev(s) to see whats up if it still fails.

Jormungandr89 commented on 2021-07-20 15:25 (UTC)

@fryfrog I believe python-gevent-websocket is a dependency as well. Once I got the dependencies sorted out, I was getting a 500 error returned as reported by another user here: https://github.com/morpheus65535/bazarr/issues/1476

The logs have a message that python 3.9 is unsupported and "you're on your own" or something to that effect, so I'm not sure if I should report it upstream.

I've downgraded to 0.9.5 for now.

fryfrog commented on 2021-02-23 17:51 (UTC)

Thanks for discovering it and pointing it out! :)

satcom886 commented on 2021-02-23 17:48 (UTC)

@fryfrog Nice! Thanks!

fryfrog commented on 2021-02-23 16:35 (UTC)

Thanks, added but w/o pkgrel bump. It'll go out w/ the next update. :)

satcom886 commented on 2021-02-23 09:36 (UTC)

@fryfrog No, I don't have python-unrar installed. Just installing unrar fixed it.

fryfrog commented on 2021-02-22 20:22 (UTC)

Did you need just unrar or python-unrar?

satcom886 commented on 2021-02-22 20:09 (UTC) (edited on 2021-02-22 20:09 (UTC) by satcom886)

@fryfrog I also had to install unrar:

Started Bazarr Service.
bazarr[496313]: 2021-02-22 21:05:26,337 - root                             (ffffb2eead20) :  ERROR (utils:160) - BAZARR unable to download unrar to /usr/lib/bazarr/bin/Linux/aarch64/unrar
bazarr[496313]: Traceback (most recent call last):
bazarr[496313]:   File "/usr/lib/bazarr/bazarr/utils.py", line 149, in get_binary
bazarr[496313]:     os.makedirs(exe_dir, exist_ok=True)
bazarr[496313]:   File "/usr/lib/python3.9/os.py", line 215, in makedirs
bazarr[496313]:     makedirs(head, exist_ok=exist_ok)
bazarr[496313]:   File "/usr/lib/python3.9/os.py", line 215, in makedirs
bazarr[496313]:     makedirs(head, exist_ok=exist_ok)
bazarr[496313]:   File "/usr/lib/python3.9/os.py", line 215, in makedirs
bazarr[496313]:     makedirs(head, exist_ok=exist_ok)
bazarr[496313]:   File "/usr/lib/python3.9/os.py", line 225, in makedirs
bazarr[496313]:     mkdir(name, mode)
bazarr[496313]: PermissionError: [Errno 13] Permission denied: '/usr/lib/bazarr/bin'
bazarr[496313]: During handling of the above exception, another exception occurred:
bazarr[496313]: Traceback (most recent call last):
bazarr[496313]:   File "/usr/lib/bazarr/bazarr/main.py", line 20, in <module>
bazarr[496313]:     from init import *
bazarr[496313]:   File "/usr/lib/bazarr/bazarr/init.py", line 196, in <module>
bazarr[496313]:     init_binaries()
bazarr[496313]:   File "/usr/lib/bazarr/bazarr/init.py", line 178, in init_binaries
bazarr[496313]:     exe = get_binary("unrar")
bazarr[496313]:   File "/usr/lib/bazarr/bazarr/utils.py", line 161, in get_binary
bazarr[496313]:     raise BinaryNotFound
bazarr[496313]: utils.BinaryNotFound
bazarr[496310]: Bazarr starting...
bazarr[496310]: Bazarr exited.
systemd[1]: bazarr.service: Succeeded.

fryfrog commented on 2021-01-02 15:49 (UTC)

@nasdack, I assume installing ffmpeg fixed it? They don't list it as a requirement as far as I can tell. :|

eh8 commented on 2021-01-02 06:15 (UTC) (edited on 2021-01-02 06:17 (UTC) by eh8)

Please add ffmpeg as a dependency.

Traceback (most recent call last):
 File "/usr/lib/bazarr/bazarr/get_subtitle.py", line 67, in get_video
  refine_from_ffprobe(original_path, video)
 File "/usr/lib/bazarr/bazarr/get_subtitle.py", line 1081, in refine_from_ffprobe
  exe = get_binary(\ffprobe\)
 File "/usr/lib/bazarr/bazarr/utils.py", line 102, in get_binary
  raise BinaryNotFound
utils.BinaryNotFound

katalitis commented on 2020-10-02 18:23 (UTC)

Hi! The hash seems to be wrong for v0.9.0.4. Could you please update it? (0b083db4b8113ca5d746d067e48495c1d77e91768fe3e86296237b9caba058ad seems to be the correct hash)

fryfrog commented on 2020-07-30 15:00 (UTC)

@eta-carinae, thanks for reporting. Added.

eta-carinae commented on 2020-07-30 12:58 (UTC)

Hi,

bazarr depends on numpy now, I think starting with 0.9. Installing python-numpy was the only thing I had to do to get it running again.

mmberlin commented on 2020-06-13 20:40 (UTC)

Getting the following error:

ValueError: Timezone offset does not match system offset: -14400 != -25200. Please, check your config files.

fryfrog commented on 2019-12-30 21:26 (UTC)

@eta-carinae: Thanks, I'd been looking forward to the python3 release and... totally forgot. I had to sudo find /usr/lib/bazarr/ -iname '*.pyc' -delete to resolve a magic number error, but otherwise it seems fine.

eta-carinae commented on 2019-12-30 19:57 (UTC)

FYI, bazarr now supports python3.6+. On my system the latest version has some bug with the python 2.7 config parser which I haven't tried to track down but works fine with python 3.8.

fryfrog commented on 2019-03-08 22:47 (UTC)

Looks like they were actual packages and since Arch is dropping python2 support, they got nuked. I'll recreate both as AUR packages when I can.

fryfrog commented on 2019-03-08 22:37 (UTC)

Asking in #archlinux-aur about history to see what happened to them. :/

danilovicente commented on 2019-03-08 03:31 (UTC)

python2-langdetect, python2-pycountry are not available

F1nny commented on 2019-02-19 04:03 (UTC)

Note python2-apprise checksum is off in the PKGBUILD, commented over there but just need to wait for verify and make the change yourself manually. One thing - this looks amazing but damn wish those deps were lessened, ah well.

nicoulaj commented on 2018-11-11 19:30 (UTC)

It seems checksums don't match